<!DOCTYPE html>
<html>
   <head>
      <meta charset="utf-8" />
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <!--metatextblock-->
      <title><?=$site_title?></title>
      <meta name='robots' content='noindex'/>
      <meta name="description" content="<?= $site_description?>">
     <meta name="keywords" content="<?= $site_keywords?>">
   
      <meta property="og:url" content="<?=current_url()?>" />
      <meta property="og:title" content="<?=$site_title?>" />
      <meta property="og:description" content="<?= $site_description?>" />
      <meta property="og:type" content="website" />
      <meta property="og:image" content="<?=base_url('assets/images/bg/dubai-background.png')?>" />
      <link rel="canonical" href="<?=current_url()?>">
      <meta property="og:image:width" content="200" />
     <meta property="og:image:height" content="200" />
     <meta property="og:image:type" content="image/webp" />
     <meta name="twitter:card" content="summary_large_image" />
      <!--/metatextblock-->
      <meta name="format-detection" content="telephone=no" />
      <meta http-equiv="x-dns-prefetch-control" content="on">

      <link rel="shortcut icon" href="images/tildafavicon.ico" type="image/x-icon" />
      <!-- Assets --><script src="https://neo.tildacdn.com/js/tilda-fallback-1.0.min.js" async charset="utf-8"></script>
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-grid-3.0.min.css')?>" type="text/css" media="all" onerror="this.loaderr='y';"/>
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-blocks-page42156938.min.css')?>?t=1705657706" type="text/css" media="all" onerror="this.loaderr='y';" />
      <link rel="preconnect" href="https://fonts.gstatic.com">
      <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;600;700&subset=latin,cyrillic&display=swap" rel="stylesheet">
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-animation-2.0.min.css')?>" type="text/css" media="all" onerror="this.loaderr='y';" />
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-popup-1.1.min.css')?>" type="text/css" media="print" onload="this.media='all';" onerror="this.loaderr='y';" />
      <noscript>
         <link rel="stylesheet" href="<?=base_url('assets/css/tilda-popup-1.1.min.css')?>" type="text/css" media="all" />
      </noscript>
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-forms-1.0.min.css')?>" type="text/css" media="all" onerror="this.loaderr='y';" />
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-slds-1.4.min.css')?>" type="text/css" media="print" onload="this.media='all';" onerror="this.loaderr='y';" />
      <noscript>
         <link rel="stylesheet" href="<?=base_url('assets/css/tilda-slds-1.4.min.css')?>" type="text/css" media="all" />
      </noscript>
      <link rel="stylesheet" href="<?=base_url('assets/css/tilda-zero-gallery-1.0.min.css')?>" type="text/css" media="all" onerror="this.loaderr='y';" />
      <link rel="stylesheet" type="text/css" href="<?=base_url('assets/css/custom.css')?>?t=1705657706">

      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
      

      <link rel="stylesheet" href="<?=base_url('assets/css/intlTelInput.min.css')?>">
      <link rel="stylesheet" href="<?= base_url('assets/css/fontawesome.css')?>">
      <link rel="stylesheet" href="<?= base_url('assets/css/slick-theme.css')?>">
    <link rel="stylesheet" href="<?= base_url('assets/css/slick.css')?>">
    <link rel="stylesheet" href="<?= base_url('assets/css/slider.css')?>">
    <link rel="stylesheet" href="<?= base_url('assets/css/ud-custom-spacing.css')?>">
    <link rel="stylesheet" href="<?= base_url('assets/css/style.css')?>">

    <!-- Select2 -->
  <link rel="stylesheet" href="<?= base_url('assets/css/select2.min.css')?>">
  <link rel="stylesheet" href="<?= base_url('assets/css/select2-bootstrap4.min.css')?>">
    


<!-- Marquiz script start -->
<script>
(function(w, d, s, o){
  var j = d.createElement(s); j.async = true; j.src = '//script.marquiz.io/v2.js';j.onload = function() {
    if (document.readyState !== 'loading') Marquiz.init(o);
    else document.addEventListener("DOMContentLoaded", function() {
      Marquiz.init(o);
    });
  };
  d.head.insertBefore(j, d.head.firstElementChild);
})(window, document, 'script', {
    host: '//quiz.marquiz.io',
    region: 'eu',
    id: '653a69270fb6940025a98af5',
    // autoOpen: 10,
    autoOpenFreq: 'once',
    openOnExit: true,
    disableOnMobile: false
  }
);
</script>

    <style>
       .container{
         max-width: 1230px;
       }
       .t-tildalabel t-tildalabel-free{
         display: none!important;
       }
       .t-tildalabel-free__main{
         display: none;
       }
    </style>

    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script src="https://unpkg.com/@googlemaps/markerclusterer/dist/index.min.js"></script>
    <!-- <script src="
          https://maps.googleapis.com/maps/api/staticmap?key=AIzaSyCx4uSvb-ctmEbEUpP_6pPrexO9q3wMaXE&center=25.20407,55.26045&zoom=9&format=png&maptype=roadmap&style=element:geometry%7Ccolor:0x1d2c4d&style=element:labels.text.fill%7Ccolor:0x8ec3b9&style=element:labels.text.stroke%7Ccolor:0x1a3646&style=feature:administrative%7Celement:geometry%7Cvisibility:off&style=feature:administrative.country%7Celement:geometry.stroke%7Ccolor:0x4b6878&style=feature:administrative.land_parcel%7Celement:labels.text.fill%7Ccolor:0x64779e&style=feature:administrative.province%7Celement:geometry.stroke%7Ccolor:0x4b6878&style=feature:landscape.man_made%7Celement:geometry.stroke%7Ccolor:0x334e87&style=feature:landscape.natural%7Celement:geometry%7Ccolor:0x023e58&style=feature:poi%7Cvisibility:off&style=feature:poi%7Celement:geometry%7Ccolor:0x283d6a&style=feature:poi%7Celement:labels.text.fill%7Ccolor:0x6f9ba5&style=feature:poi%7Celement:labels.text.stroke%7Ccolor:0x1d2c4d&style=feature:poi.park%7Celement:geometry.fill%7Ccolor:0x023e58&style=feature:poi.park%7Celement:labels.text.fill%7Ccolor:0x3C7680&style=feature:road%7Celement:geometry%7Ccolor:0x304a7d&style=feature:road%7Celement:labels.icon%7Cvisibility:off&style=feature:road%7Celement:labels.text.fill%7Ccolor:0x98a5be&style=feature:road%7Celement:labels.text.stroke%7Ccolor:0x1d2c4d&style=feature:road.highway%7Celement:geometry%7Ccolor:0x2c6675&style=feature:road.highway%7Celement:geometry.stroke%7Ccolor:0x255763&style=feature:road.highway%7Celement:labels.text.fill%7Ccolor:0xb0d5ce&style=feature:road.highway%7Celement:labels.text.stroke%7Ccolor:0x023e58&style=feature:transit%7Cvisibility:off&style=feature:transit%7Celement:labels.text.fill%7Ccolor:0x98a5be&style=feature:transit%7Celement:labels.text.stroke%7Ccolor:0x1d2c4d&style=feature:transit.line%7Celement:geometry.fill%7Ccolor:0x283d6a&style=feature:transit.station%7Celement:geometry%7Ccolor:0x3a4762&style=feature:water%7Celement:geometry%7Ccolor:0x0e1626&style=feature:water%7Celement:labels.text.fill%7Ccolor:0x4e6d70&size=480x360
        "></script> -->

    <style>
      /**
 * @license
 * Copyright 2019 Google LLC. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
/* 
 * Always set the map height explicitly to define the size of the div element
 * that contains the map. 
 */
#map {
  height: 100%;
}
html,
body {
  height: 650vh;
  margin: 0;
  padding: 0;
}

.gm-style .gm-style-iw-d{
   overflow: hidden!important;
}
.gm-style .gm-style-iw-c{
   padding:0px;
}
.gm-ui-hover-effect{
   background: #fff!important;
    display: block;
    border: 0px;
    margin: 0px;
    padding: 0px;
    text-transform: none;
    appearance: none;
    position: absolute;
    cursor: pointer;
    user-select: none;
    top: 4px!important;
    right: 5px!important;
    width: 30px;
    height: 30px;
    border-radius: 50%!important;
}

/* 
 * Optional: Makes the sample page fill the window. 
 */

    </style>
      <script nomodule src="<?=base_url('assets/js/tilda-polyfill-1.0.min.js')?>" charset="utf-8"></script><script type="text/javascript">function t_onReady(func) {
         if (document.readyState != 'loading') {
         func();
         } else {
         document.addEventListener('DOMContentLoaded', func);
         }
         }
         function t_onFuncLoad(funcName, okFunc, time) {
         if (typeof window[funcName] === 'function') {
         okFunc();
         } else {
         setTimeout(function() {
         t_onFuncLoad(funcName, okFunc, time);
         },(time || 100));
         }
         }function t396_initialScale(t){var e=document.getElementById("rec"+t);if(e){var r=e.querySelector(".t396__artboard");if(r){var a,i=document.documentElement.clientWidth,l=[],d=r.getAttribute("data-artboard-screens");if(d){d=d.split(",");for(var o=0;o<d.length;o++)l[o]=parseInt(d[o],10)}else l=[320,480,640,960,1200];for(o=0;o<l.length;o++){var n=l[o];n<=i&&(a=n)}var g="edit"===window.allrecords.getAttribute("data-tilda-mode"),u="center"===t396_getFieldValue(r,"valign",a,l),c="grid"===t396_getFieldValue(r,"upscale",a,l),t=t396_getFieldValue(r,"height_vh",a,l),f=t396_getFieldValue(r,"height",a,l),e=!!window.opr&&!!window.opr.addons||!!window.opera||-1!==navigator.userAgent.indexOf(" OPR/");if(!g&&u&&!c&&!t&&f&&!e){for(var s=parseFloat((i/a).toFixed(3)),_=[r,r.querySelector(".t396__carrier"),r.querySelector(".t396__filter")],o=0;o<_.length;o++)_[o].style.height=parseInt(f,10)*s+"px";for(var h=r.querySelectorAll(".t396__elem"),o=0;o<h.length;o++)h[o].style.zoom=s}}}}function t396_getFieldValue(t,e,r,a){var i=a[a.length-1],l=r===i?t.getAttribute("data-artboard-"+e):t.getAttribute("data-artboard-"+e+"-res-"+r);if(!l)for(var d=0;d<a.length;d++){var o=a[d];if(!(o<=r)&&(l=o===i?t.getAttribute("data-artboard-"+e):t.getAttribute("data-artboard-"+e+"-res-"+o)))break}return l}
      </script><script src="<?=base_url('assets/js/jquery-1.10.2.min.js')?>" charset="utf-8" onerror="this.loaderr='y';"></script> <script src="<?=base_url('assets/js/tilda-scripts-3.0.min.js')?>" charset="utf-8" defer onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-blocks-page42156938.min.js')?>?t=1705657706" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-lazyload-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-animation-2.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-menu-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-zero-1.1.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-popup-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-forms-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-slds-1.4.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-zero-gallery-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/hammer.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-zero-forms-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-animation-ext-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-animation-sbs-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-zero-scale-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-skiplink-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script><script src="<?=base_url('assets/js/tilda-events-1.0.min.js')?>" charset="utf-8" async onerror="this.loaderr='y';"></script>
      
      <style>
         .t393.t393__positionabsolute, .t393.t393__positionfixed, .t393.t393__positionstatic {
         position: fixed !important;
         }
         @media only screen and(max-width: 980px) {
         .t393.t393__positionabsolute, .t393.t393__positionfixed, .t393.t393__positionstatic {
         position: fixed !important;
         }
         }
      </style>

      <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-T5TQVFL');</script>
<!-- End Google Tag Manager -->
   
   </head>
   <body class="t-body" style="margin:0;">
     <!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-T5TQVFL"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

      <!--allrecords-->
      <div id="allrecords" data-tilda-export="yes" class="t-records" data-hook="blocks-collection-content-node" data-tilda-project-id="5476420" data-tilda-page-id="42156938" data-tilda-page-alias="uae-offplan/home" data-tilda-formskey="94387ac8a945fb91abb9d9f2c5476420" data-tilda-lazy="yes" data-tilda-project-headcode="yes" data-tilda-early="adopter">

         <div id="rec681472455" class="r t-rec" style=" " data-animationappear="off" data-record-type="360" >
            <!-- T360 -->
            <!--<style>@media screen and (min-width: 980px) {-->
            <!--   .t-records {-->
            <!--   opacity: 0;-->
            <!--   }-->
            <!--   .t-records_animated {-->
            <!--   -webkit-transition: opacity ease-in-out 1s;-->
            <!--   -moz-transition: opacity ease-in-out 1s;-->
            <!--   -o-transition: opacity ease-in-out 1s;-->
            <!--   transition: opacity ease-in-out 1s;-->
            <!--   }-->
            <!--   .t-records.t-records_visible,-->
            <!--   .t-records .t-records {-->
            <!--   opacity: 1;-->
            <!--   }-->
            <!--   }-->
            <!--</style>-->
            <!--<script>t_onReady(function () {-->
            <!--   var allRecords = document.querySelector('.t-records');-->
            <!--   window.addEventListener('pageshow', function (event) {-->
            <!--   if (event.persisted) {-->
            <!--   allRecords.classList.add('t-records_visible');-->
            <!--   }-->
            <!--   });-->
            <!--   var rec = document.querySelector('#rec681472455');-->
            <!--   if (!rec) return;-->
            <!--   rec.setAttribute('data-animationappear', 'off');-->
            <!--   rec.style.opacity = '1';-->
            <!--   allRecords.classList.add('t-records_animated');-->
            <!--   setTimeout(function () {-->
            <!--   allRecords.classList.add('t-records_visible');-->
            <!--   }, 200);-->
            <!--   });-->
            <!--</script><script>t_onReady(function () {-->
            <!--   var selects = 'button:not(.t-submit):not(.t835__btn_next):not(.t835__btn_prev):not(.t835__btn_result):not(.t862__btn_next):not(.t862__btn_prev):not(.t862__btn_result):not(.t854__news-btn):not(.t862__btn_next),' +-->
            <!--   'a:not([href*="#"]):not(.carousel-control):not(.t-carousel__control):not(.t807__btn_reply):not([href^="#price"]):not([href^="javascript"]):not([href^="mailto"]):not([href^="tel"]):not([href^="link_sub"]):not(.js-feed-btn-show-more):not(.t367__opener):not([href^="https://www.dropbox.com/"])';-->
            <!--   var elements = document.querySelectorAll(selects);-->
            <!--   Array.prototype.forEach.call(elements, function (element) {-->
            <!--   if (element.getAttribute('data-menu-submenu-hook')) return;-->
            <!--   element.addEventListener('click', function (event) {-->
            <!--   var goTo = this.getAttribute('href');-->
            <!--   if (goTo !== null) {-->
            <!--   var ctrl = event.ctrlKey;-->
            <!--   var cmd = event.metaKey && navigator.platform.indexOf('Mac') !== -1;-->
            <!--   if (!ctrl && !cmd) {-->
            <!--   var target = this.getAttribute('target');-->
            <!--   if (target !== '_blank') {-->
            <!--   event.preventDefault();-->
            <!--   var allRecords = document.querySelector('.t-records');-->
            <!--   if (allRecords) {-->
            <!--   allRecords.classList.remove('t-records_visible');-->
            <!--   }-->
            <!--   setTimeout(function () {-->
            <!--   window.location = goTo;-->
            <!--   }, 500);-->
            <!--   }-->
            <!--   }-->
            <!--   }-->
            <!--   });-->
            <!--   });-->
            <!--   });-->
            <!--</script>-->
            <style>.t360__bar {
               background-color: #030bff;
               }
            </style>
            <script>t_onReady(function () {
               var isSafari = /Safari/.test(navigator.userAgent) && /Apple Computer/.test(navigator.vendor);
               if (!isSafari) {
               document.body.insertAdjacentHTML('beforeend', '<div class="t360__progress"><div class="t360__bar"></div></div>');
               setTimeout(function () {
               var bar = document.querySelector('.t360__bar');
               if (bar) bar.classList.add('t360__barprogress');
               }, 10);
               }
               });
               window.addEventListener('load', function () {
               var bar = document.querySelector('.t360__bar');
               if (!bar) return;
               bar.classList.remove('t360__barprogress');
               bar.classList.add('t360__barprogressfinished');
               setTimeout(function () {
               bar.classList.add('t360__barprogresshidden');
               }, 20);
               setTimeout(function () {
               var progress = document.querySelector('.t360__progress');
               if (progress) progress.style.display = 'none';
               }, 500);
               });
            </script>
         </div>
         <div id="rec681473038" class="r t-rec t-rec_pt_0 t-rec_pb_0" style="padding-top:0px;padding-bottom:0px; " data-animationappear="off" data-record-type="450" >
            <div class="t450__menu__content " 
               style="top:15px; " data-menu="yes" data-appearoffset="" data-hideoffset=""
               >
               <div class="t450__burger_container t450__small ">
                  <div class="t450__burger_bg t450__burger_cirqle" 
                     style="background-color:#d4f1f6; opacity:1;"></div>
                  <button type="button" 
                     class="t-menuburger t-menuburger_third t-menuburger__small" 
                     aria-label="Navigation menu" 
                     aria-expanded="false"><span style="background-color:#00a7f6;"></span><span style="background-color:#00a7f6;"></span><span style="background-color:#00a7f6;"></span><span style="background-color:#00a7f6;"></span></button><script>function t_menuburger_init(recid) {
                     var rec = document.querySelector('#rec' + recid);
                     if (!rec) return;
                     var burger = rec.querySelector('.t-menuburger');
                     if (!burger) return;
                     var isSecondStyle = burger.classList.contains('t-menuburger_second');
                     if (isSecondStyle && !window.isMobile && !('ontouchend' in document)) {
                     burger.addEventListener('mouseenter', function() {
                     if (burger.classList.contains('t-menuburger-opened')) return;
                     burger.classList.remove('t-menuburger-unhovered');
                     burger.classList.add('t-menuburger-hovered');
                     });
                     burger.addEventListener('mouseleave', function() {
                     if (burger.classList.contains('t-menuburger-opened')) return;
                     burger.classList.remove('t-menuburger-hovered');
                     burger.classList.add('t-menuburger-unhovered');
                     setTimeout(function() {
                     burger.classList.remove('t-menuburger-unhovered');
                     }, 300);
                     });
                     }
                     burger.addEventListener('click', function() {
                     if (!burger.closest('.tmenu-mobile') &&
                     !burger.closest('.t450__burger_container') &&
                     !burger.closest('.t466__container') &&
                     !burger.closest('.t204__burger') &&
                     !burger.closest('.t199__js__menu-toggler')) {
                     burger.classList.toggle('t-menuburger-opened');
                     burger.classList.remove('t-menuburger-unhovered');
                     }
                     });
                     var menu = rec.querySelector('[data-menu="yes"]');
                     if (!menu) return;
                     var menuLinks = menu.querySelectorAll('.t-menu__link-item');
                     var submenuClassList = ['t978__menu-link_hook', 't978__tm-link', 't966__tm-link', 't794__tm-link', 't-menusub__target-link'];
                     Array.prototype.forEach.call(menuLinks, function (link) {
                     link.addEventListener('click', function () {
                     var isSubmenuHook = submenuClassList.some(function (submenuClass) {
                     return link.classList.contains(submenuClass);
                     });
                     if (isSubmenuHook) return;
                     burger.classList.remove('t-menuburger-opened');
                     });
                     });
                     menu.addEventListener('clickedAnchorInTooltipMenu', function () {
                     burger.classList.remove('t-menuburger-opened');
                     });
                     }
                     t_onReady(function() {
                     t_onFuncLoad('t_menuburger_init', function(){t_menuburger_init('681473038');});
                     });
                  </script>
                  <style>.t-menuburger {
                     position: relative;
                     flex-shrink: 0;
                     width: 28px;
                     height: 20px;
                     padding: 0;
                     border: none;
                     background-color: transparent;
                     outline: none;
                     -webkit-transform: rotate(0deg);
                     transform: rotate(0deg);
                     transition: transform .5s ease-in-out;
                     cursor: pointer;
                     z-index: 999;
                     }
                     /*---menu burger lines---*/
                     .t-menuburger span {
                     display: block;
                     position: absolute;
                     width: 100%;
                     opacity: 1;
                     left: 0;
                     -webkit-transform: rotate(0deg);
                     transform: rotate(0deg);
                     transition: .25s ease-in-out;
                     height: 3px;
                     background-color: #000;
                     }
                     .t-menuburger span:nth-child(1) {
                     top: 0px;
                     }
                     .t-menuburger span:nth-child(2),
                     .t-menuburger span:nth-child(3) {
                     top: 8px;
                     }
                     .t-menuburger span:nth-child(4) {
                     top: 16px;
                     }
                     /*menu burger big*/
                     .t-menuburger__big {
                     width: 42px;
                     height: 32px;
                     }
                     .t-menuburger__big span {
                     height: 5px;
                     }
                     .t-menuburger__big span:nth-child(2),
                     .t-menuburger__big span:nth-child(3) {
                     top: 13px;
                     }
                     .t-menuburger__big span:nth-child(4) {
                     top: 26px;
                     }
                     /*menu burger small*/
                     .t-menuburger__small {
                     width: 22px;
                     height: 14px;
                     }
                     .t-menuburger__small span {
                     height: 2px;
                     }
                     .t-menuburger__small span:nth-child(2),
                     .t-menuburger__small span:nth-child(3) {
                     top: 6px;
                     }
                     .t-menuburger__small span:nth-child(4) {
                     top: 12px;
                     }
                     /*menu burger opened*/
                     .t-menuburger-opened span:nth-child(1) {
                     top: 8px;
                     width: 0%;
                     left: 50%;
                     }
                     .t-menuburger-opened span:nth-child(2) {
                     -webkit-transform: rotate(45deg);
                     transform: rotate(45deg);
                     }
                     .t-menuburger-opened span:nth-child(3) {
                     -webkit-transform: rotate(-45deg);
                     transform: rotate(-45deg);
                     }
                     .t-menuburger-opened span:nth-child(4) {
                     top: 8px;
                     width: 0%;
                     left: 50%;
                     }
                     .t-menuburger-opened.t-menuburger__big span:nth-child(1) {
                     top: 6px;
                     }
                     .t-menuburger-opened.t-menuburger__big span:nth-child(4) {
                     top: 18px;
                     }
                     .t-menuburger-opened.t-menuburger__small span:nth-child(1),
                     .t-menuburger-opened.t-menuburger__small span:nth-child(4) {
                     top: 6px;
                     }
                     /*---menu burger first style---*/
                     @media (hover), (min-width:0\0) {
                     .t-menuburger_first:hover span:nth-child(1) {
                     transform: translateY(1px);
                     }
                     .t-menuburger_first:hover span:nth-child(4) {
                     transform: translateY(-1px);
                     }
                     .t-menuburger_first.t-menuburger__big:hover span:nth-child(1) {
                     transform: translateY(3px);
                     }
                     .t-menuburger_first.t-menuburger__big:hover span:nth-child(4) {
                     transform: translateY(-3px);
                     }
                     }
                     /*---menu burger second style---*/
                     .t-menuburger_second span:nth-child(2),
                     .t-menuburger_second span:nth-child(3) {
                     width: 80%;
                     left: 20%;
                     right: 0;
                     }
                     @media (hover), (min-width:0\0) {
                     .t-menuburger_second.t-menuburger-hovered span:nth-child(2),
                     .t-menuburger_second.t-menuburger-hovered span:nth-child(3) {
                     animation: t-menuburger-anim 0.3s ease-out normal forwards;
                     }
                     .t-menuburger_second.t-menuburger-unhovered span:nth-child(2),
                     .t-menuburger_second.t-menuburger-unhovered span:nth-child(3) {
                     animation: t-menuburger-anim2 0.3s ease-out normal forwards;
                     }
                     }
                     .t-menuburger_second.t-menuburger-opened span:nth-child(2),
                     .t-menuburger_second.t-menuburger-opened span:nth-child(3){
                     left: 0;
                     right: 0;
                     width: 100%!important;
                     }
                     /*---menu burger third style---*/
                     .t-menuburger_third span:nth-child(4) {
                     width: 70%;
                     left: unset;
                     right: 0;
                     }
                     @media (hover), (min-width:0\0) {
                     .t-menuburger_third:not(.t-menuburger-opened):hover span:nth-child(4) {
                     width: 100%;
                     }
                     }
                     .t-menuburger_third.t-menuburger-opened span:nth-child(4) {
                     width: 0!important;
                     right: 50%;
                     }
                     /*---menu burger fourth style---*/
                     .t-menuburger_fourth {
                     height: 12px;
                     }
                     .t-menuburger_fourth.t-menuburger__small {
                     height: 8px;
                     }
                     .t-menuburger_fourth.t-menuburger__big {
                     height: 18px;
                     }
                     .t-menuburger_fourth span:nth-child(2),
                     .t-menuburger_fourth span:nth-child(3) {
                     top: 4px;
                     opacity: 0;
                     }
                     .t-menuburger_fourth span:nth-child(4) {
                     top: 8px;
                     }
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(2),
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(3) {
                     top: 3px;
                     }
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(4) {
                     top: 6px;
                     }
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(2),
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(3) {
                     top: 3px;
                     }
                     .t-menuburger_fourth.t-menuburger__small span:nth-child(4) {
                     top: 6px;
                     }
                     .t-menuburger_fourth.t-menuburger__big span:nth-child(2),
                     .t-menuburger_fourth.t-menuburger__big span:nth-child(3) {
                     top: 6px;
                     }
                     .t-menuburger_fourth.t-menuburger__big span:nth-child(4) {
                     top: 12px;
                     }
                     @media (hover), (min-width:0\0) {
                     .t-menuburger_fourth:not(.t-menuburger-opened):hover span:nth-child(1) {
                     transform: translateY(1px);
                     }
                     .t-menuburger_fourth:not(.t-menuburger-opened):hover span:nth-child(4) {
                     transform: translateY(-1px);
                     }
                     .t-menuburger_fourth.t-menuburger__big:not(.t-menuburger-opened):hover span:nth-child(1) {
                     transform: translateY(3px);
                     }
                     .t-menuburger_fourth.t-menuburger__big:not(.t-menuburger-opened):hover span:nth-child(4) {
                     transform: translateY(-3px);
                     }
                     }
                     .t-menuburger_fourth.t-menuburger-opened span:nth-child(1),
                     .t-menuburger_fourth.t-menuburger-opened span:nth-child(4) {
                     top: 4px;
                     }
                     .t-menuburger_fourth.t-menuburger-opened span:nth-child(2),
                     .t-menuburger_fourth.t-menuburger-opened span:nth-child(3) {
                     opacity: 1;
                     }
                     /*---menu burger animations---*/
                     @keyframes t-menuburger-anim {
                     0% {
                     width: 80%;
                     left: 20%;
                     right: 0;
                     }
                     50% {
                     width: 100%;
                     left: 0;
                     right: 0;
                     }
                     100% {
                     width: 80%;
                     left: 0;
                     right: 20%;
                     }
                     }
                     @keyframes t-menuburger-anim2 {
                     0% {
                     width: 80%;
                     left: 0;
                     }
                     50% {
                     width: 100%;
                     right: 0;
                     left: 0;
                     }
                     100% {
                     width: 80%;
                     left: 20%;
                     right: 0;
                     }
                     }
                  </style>
               </div>
            </div>
            <!-- t450 -->
            <div id="nav681473038marker"></div>
            <div class="t450__overlay">
               <div class="t450__overlay_bg" 
                  style=" "></div>
            </div>
            <div id="nav681473038" class="t450 " data-tooltip-hook="#menuopen" 
               style="max-width: 320px;background-color: #ffffff;">
               <button type="button" 
                  class="t450__close-button t450__close t450_opened "
                  style="background-color: #ffffff;" 
                  aria-label="Close menu">
                  <div class="t450__close_icon"><span style="background-color:#222222;"></span><span style="background-color:#222222;"></span><span style="background-color:#222222;"></span><span style="background-color:#222222;"></span></div>
               </button>
               <div class="t450__container t-align_left">
                  <div class="t450__top">
                     <nav class="t450__menu">
                        <ul role="list" class="t450__list t-menu__list">
                           <li class="t450__list_item" 
                              style="padding:0 0 5px 0;"><a class="t-menu__link-item " 
                              href="<?=base_url('projects')?>" data-menu-submenu-hook="" data-menu-item-number="1" 
                              >Properties for Sale</a></li>
                           <li class="t450__list_item" 
                              style="padding:5px 0;"><a class="t-menu__link-item " 
                              href="<?=base_url('list-of-property-developers')?>" data-menu-submenu-hook="" data-menu-item-number="2" 
                              >Developers in UAE</a></li>
                           <li class="t450__list_item" 
                              style="padding:5px 0;"><a class="t-menu__link-item " 
                              href="<?=base_url('development')?>" data-menu-submenu-hook="" data-menu-item-number="3" 
                              >Developments in UAE</a></li>
                           <li class="t450__list_item" 
                              style="padding:5px 0;"><a class="t-menu__link-item " 
                              href="#" data-menu-submenu-hook="" data-menu-item-number="4" 
                              >Real estate news</a></li>
                           <li class="t450__list_item" 
                              style="padding:5px 0 0;"><a class="t-menu__link-item " 
                              href="#" data-menu-submenu-hook="" data-menu-item-number="5" 
                              >Video reviews</a></li>
                        </ul>
                     </nav>
                  </div>
                  <div class="t450__rightside">
                     <div class="t450__rightcontainer">
                        <div class="t450__right_descr t-descr t-descr_xs" field="descr"><span style="font-family: Ubuntu; color: rgb(34, 34, 34);">contact us</span><br /><strong style="font-size: 18px; font-family: Ubuntu; color: rgb(34, 34, 34);">info@uae-offplan.com</strong><br /><br /><span style="font-family: Ubuntu; color: rgb(34, 34, 34);">24/7 online</span><br /><strong style="font-size: 18px; color: rgb(34, 34, 34);">+971 52 447 4422</strong></div>
                        <div class="t450__right_social_links">
                           <div class="t-sociallinks">
                              <ul role="list" class="t-sociallinks__wrapper" aria-label="Social media links">
                                 <!-- new soclinks -->
                                 <li class="t-sociallinks__item t-sociallinks__item_whatsapp">
                                    <a href="https://wa.me/971524474422?text=Hi%20There%2C%20I%27m%20interested%20in%20Dubai%20Properties.%20Kindly%20send%20me%20more%20information.%20Thank%20you%21%20https%3A%2F%2Foffplan360.com%2Fapartments-homepage" target="_blank" rel="nofollow" aria-label="Chat via Whatsapp" title="Chat via Whatsapp" style="width: 30px; height: 30px;">
                                       <svg class="t-sociallinks__svg" role="presentation" width=30px height=30px viewBox="0 0 100 100" fill="none" xmlns="http://www.w3.org/2000/svg">
                                          <path fill-rule="evenodd" clip-rule="evenodd" d="M50 100C77.6142 100 100 77.6142 100 50C100 22.3858 77.6142 0 50 0C22.3858 0 0 22.3858 0 50C0 77.6142 22.3858 100 50 100ZM69.7626 28.9928C64.6172 23.841 57.7739 21.0027 50.4832 21C35.4616 21 23.2346 33.2252 23.2292 48.2522C23.2274 53.0557 24.4823 57.7446 26.8668 61.8769L23 76L37.4477 72.2105C41.4282 74.3822 45.9107 75.5262 50.4714 75.528H50.4823C65.5029 75.528 77.7299 63.301 77.7363 48.2749C77.7408 40.9915 74.9089 34.1446 69.7626 28.9928ZM62.9086 53.9588C62.2274 53.6178 58.8799 51.9708 58.2551 51.7435C57.6313 51.5161 57.1766 51.4024 56.7228 52.0845C56.269 52.7666 54.964 54.2998 54.5666 54.7545C54.1692 55.2092 53.7718 55.2656 53.0915 54.9246C52.9802 54.8688 52.8283 54.803 52.6409 54.7217C51.6819 54.3057 49.7905 53.4855 47.6151 51.5443C45.5907 49.7382 44.2239 47.5084 43.8265 46.8272C43.4291 46.1452 43.7837 45.7769 44.1248 45.4376C44.3292 45.2338 44.564 44.9478 44.7987 44.662C44.9157 44.5194 45.0328 44.3768 45.146 44.2445C45.4345 43.9075 45.56 43.6516 45.7302 43.3049C45.7607 43.2427 45.7926 43.1776 45.8272 43.1087C46.0545 42.654 45.9409 42.2565 45.7708 41.9155C45.6572 41.6877 45.0118 40.1167 44.4265 38.6923C44.1355 37.984 43.8594 37.3119 43.671 36.8592C43.1828 35.687 42.6883 35.69 42.2913 35.6924C42.2386 35.6928 42.1876 35.6931 42.1386 35.6906C41.7421 35.6706 41.2874 35.667 40.8336 35.667C40.3798 35.667 39.6423 35.837 39.0175 36.5191C38.9773 36.5631 38.9323 36.6111 38.8834 36.6633C38.1738 37.4209 36.634 39.0648 36.634 42.2002C36.634 45.544 39.062 48.7748 39.4124 49.2411L39.415 49.2444C39.4371 49.274 39.4767 49.3309 39.5333 49.4121C40.3462 50.5782 44.6615 56.7691 51.0481 59.5271C52.6732 60.2291 53.9409 60.6475 54.9303 60.9612C56.5618 61.4796 58.046 61.4068 59.22 61.2313C60.5286 61.0358 63.2487 59.5844 63.8161 57.9938C64.3836 56.4033 64.3836 55.0392 64.2136 54.7554C64.0764 54.5258 63.7545 54.3701 63.2776 54.1395C63.1633 54.0843 63.0401 54.0247 62.9086 53.9588Z" fill="#222222"/>
                                       </svg>
                                    </a>
                                 </li>
                                 <li class="t-sociallinks__item t-sociallinks__item_facebook">
                                    <a href="#" target="_blank" rel="nofollow" aria-label="facebook" style="width: 30px; height: 30px;">
                                       <svg class="t-sociallinks__svg" role="presentation" width=30px height=30px viewBox="0 0 100 100" fill="none" xmlns="http://www.w3.org/2000/svg">
                                          <path fill-rule="evenodd" clip-rule="evenodd" d="M50 100c27.6142 0 50-22.3858 50-50S77.6142 0 50 0 0 22.3858 0 50s22.3858 50 50 50Zm3.431-73.9854c-2.5161.0701-5.171.6758-7.0464 2.4577-1.5488 1.4326-2.329 3.5177-2.5044 5.602-.0534 1.4908-.0458 2.9855-.0382 4.4796.0058 1.1205.0115 2.2407-.0085 3.3587-.6888.005-1.3797.0036-2.0709.0021-.9218-.0019-1.8441-.0038-2.7626.0096 0 .8921.0013 1.7855.0026 2.6797.0026 1.791.0052 3.5853-.0026 5.3799.9185.0134 1.8409.0115 2.7627.0096.6912-.0015 1.382-.0029 2.0708.0021.0155 3.5565.0127 7.1128.0098 10.669-.0036 4.4452-.0072 8.8903.0252 13.3354 1.8903-.0134 3.7765-.0115 5.6633-.0095 1.4152.0014 2.8306.0028 4.2484-.0022.0117-4.0009.0088-7.9986.0058-11.9963-.0029-3.9979-.0058-7.9957.0059-11.9964.9533-.005 1.9067-.0036 2.86-.0021 1.2713.0019 2.5425.0038 3.8137-.0096.396-2.679.7335-5.3814.9198-8.0947-1.2576-.0058-2.5155-.0058-3.7734-.0058-1.2578 0-2.5157 0-3.7734-.0059 0-.4689-.0007-.9378-.0014-1.4066-.0022-1.4063-.0044-2.8123.0131-4.2188.198-1.0834 1.3158-1.9104 2.3992-1.8403h5.1476c.0117-2.8069.0117-5.602 0-8.4089-.6636 0-1.3273-.0007-1.9911-.0014-1.9915-.0022-3.9832-.0044-5.975.0131Z" fill="#222222"/>
                                       </svg>
                                    </a>
                                 </li>
                                 <li class="t-sociallinks__item t-sociallinks__item_instagram">
                                    <a href="#" target="_blank" rel="nofollow" aria-label="instagram" style="width: 30px; height: 30px;">
                                       <svg class="t-sociallinks__svg" role="presentation" width=30px height=30px viewBox="0 0 100 100" fill="none" xmlns="http://www.w3.org/2000/svg">
                                          <path fill-rule="evenodd" clip-rule="evenodd" d="M50 100C77.6142 100 100 77.6142 100 50C100 22.3858 77.6142 0 50 0C22.3858 0 0 22.3858 0 50C0 77.6142 22.3858 100 50 100ZM25 39.3918C25 31.4558 31.4566 25 39.3918 25H60.6082C68.5442 25 75 31.4566 75 39.3918V60.8028C75 68.738 68.5442 75.1946 60.6082 75.1946H39.3918C31.4558 75.1946 25 68.738 25 60.8028V39.3918ZM36.9883 50.0054C36.9883 42.8847 42.8438 37.0922 50.0397 37.0922C57.2356 37.0922 63.0911 42.8847 63.0911 50.0054C63.0911 57.1252 57.2356 62.9177 50.0397 62.9177C42.843 62.9177 36.9883 57.1252 36.9883 50.0054ZM41.7422 50.0054C41.7422 54.5033 45.4641 58.1638 50.0397 58.1638C54.6153 58.1638 58.3372 54.5041 58.3372 50.0054C58.3372 45.5066 54.6145 41.8469 50.0397 41.8469C45.4641 41.8469 41.7422 45.5066 41.7422 50.0054ZM63.3248 39.6355C65.0208 39.6355 66.3956 38.2606 66.3956 36.5646C66.3956 34.8687 65.0208 33.4938 63.3248 33.4938C61.6288 33.4938 60.2539 34.8687 60.2539 36.5646C60.2539 38.2606 61.6288 39.6355 63.3248 39.6355Z" fill="#222222"/>
                                       </svg>
                                    </a>
                                 </li>
                                 <!-- /new soclinks -->
                              </ul>
                           </div>
                        </div>
                        <div class="t450__right_buttons">
                           <div class="t450__right_buttons_wrap">
                              <div class="t450__right_buttons_but ">
                                 <a href="#popup:property_book_vieweing" target="" 
                                    class="t-btn t-btn_sm " data-buttonfieldset="button"
                                    style="color:#ffffff;border:1px solid #00a7f6;background-color:#00a7f6;border-radius:7px; -moz-border-radius:7px; -webkit-border-radius:7px;font-family:Ubuntu;"
                                    >
                                    <table role="presentation" style="width:100%; height:100%;">
                                       <tr>
                                          <td>Need Help? Contact Us</td>
                                       </tr>
                                    </table>
                                 </a>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <script>t_onReady(function() {
               var rec = document.querySelector('#rec681473038');
               if (!rec) return;
               rec.setAttribute('data-animationappear', 'off');
               rec.style.opacity = 1;
               t_onFuncLoad('t450_initMenu', function () {
               t450_initMenu('681473038');
               });
               });
            </script>
            <style>#rec681473038 .t-menu__link-item{
               -webkit-transition: color 0.3s ease-in-out, opacity 0.3s ease-in-out;
               transition: color 0.3s ease-in-out, opacity 0.3s ease-in-out; 
               }
               #rec681473038 .t-menu__link-item.t-active:not(.t978__menu-link){
               color:#222222 !important; }
               @supports (overflow:-webkit-marquee) and (justify-content:inherit)
               {
               #rec681473038 .t-menu__link-item,
               #rec681473038 .t-menu__link-item.t-active {
               opacity: 1 !important;
               }
               }
            </style>
            <style> #rec681473038 a.t-menusub__link-item { color: #222222; }</style>
            <style> #rec681473038 .t450__right_descr { font-family: 'Ubuntu'; }</style>
            <style> #rec681473038 a.t-menu__link-item { font-size: 18px; color: #222222; font-family: 'Ubuntu'; }</style>
         </div>
         <div id="rec681472457" class="r t-rec" style=" " data-animationappear="off" data-record-type="396" >
            <!-- T396 -->
            <style>#rec681472457 .t396__artboard {height: 60px; background-color: #ffffff; }#rec681472457 .t396__filter {height: 60px; }#rec681472457 .t396__carrier{height: 60px;background-position: center center;background-attachment: scroll;background-size: cover;background-repeat: no-repeat;}@media screen and (max-width: 1199px) {#rec681472457 .t396__artboard {height: 70px;}#rec681472457 .t396__filter {height: 70px;}#rec681472457 .t396__carrier {height: 70px;background-attachment: scroll;}}@media screen and (max-width: 959px) {#rec681472457 .t396__artboard {}#rec681472457 .t396__filter {}#rec681472457 .t396__carrier {background-attachment: scroll;}}@media screen and (max-width: 639px) {#rec681472457 .t396__artboard {height: 60px;}#rec681472457 .t396__filter {height: 60px;}#rec681472457 .t396__carrier {height: 60px;background-attachment: scroll;}}@media screen and (max-width: 479px) {#rec681472457 .t396__artboard {height: 70px;}#rec681472457 .t396__filter {height: 70px;}#rec681472457 .t396__carrier {height: 70px;background-attachment: scroll;}} #rec681472457 .tn-elem[data-elem-id="1701525069272"] { color: #000000; text-align: center; z-index: 2; top: 18px;left: calc(50% - 600px + 206px);width: 75px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1701525069272"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1701525069272"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1701525069272"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701525069272"] {top: 25px;left: calc(50% - 480px + 170px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701525069272"] {top: 159px;left: calc(50% - 320px + -696px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701525069272"] {top: 107px;left: calc(50% - 240px + -1472px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701525069272"] {top: 178px;left: calc(50% - 160px + -1033px);}} #rec681472457 .tn-elem[data-elem-id="1701525361427"] { color: #000000; text-align: center; z-index: 3; top: 18px;left: calc(50% - 600px + 291px);width: 93px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1701525361427"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1701525361427"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1701525361427"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701525361427"] {top: 25px;left: calc(50% - 480px + 255px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701525361427"] {top: 159px;left: calc(50% - 320px + -586px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701525361427"] {top: 107px;left: calc(50% - 240px + -1362px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701525361427"] {top: 178px;left: calc(50% - 160px + -923px);}} #rec681472457 .tn-elem[data-elem-id="1701525380559"] { color: #000000; text-align: center; z-index: 4; top: 18px;left: calc(50% - 600px + 394px);width: 87px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1701525380559"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1701525380559"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1701525380559"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701525380559"] {top: 25px;left: calc(50% - 480px + 358px);width: 81px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701525380559"] {top: 159px;left: calc(50% - 320px + -464px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701525380559"] {top: 107px;left: calc(50% - 240px + -1240px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701525380559"] {top: 178px;left: calc(50% - 160px + -801px);}} #rec681472457 .tn-elem[data-elem-id="1701525402772"] { color: #000000; text-align: center; z-index: 5; top: 18px;left: calc(50% - 600px + 491px);width: 53px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1701525402772"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1701525402772"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1701525402772"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701525402772"] {top: 25px;left: calc(50% - 480px + 449px);width: 50px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701525402772"] {top: 159px;left: calc(50% - 320px + -351px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701525402772"] {top: 107px;left: calc(50% - 240px + -1127px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701525402772"] {top: 178px;left: calc(50% - 160px + -688px);}} #rec681472457 .tn-elem[data-elem-id="1701526071318"] { color: #000000; text-align: right; z-index: 6; top: -67px;left: calc(50% + 600px - 134px + -80px);width: 134px;height:20px;}#rec681472457 .tn-elem[data-elem-id="1701526071318"] .tn-atom { color: #000000; font-size: 9px; font-family: 'OrchideaPro',Arial,sans-serif; line-height: 1.55; font-weight: 400; border-radius: 30px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701526071318"] {top: -120px;left: calc(50% + 480px - 134px + -137px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701526071318"] {top: 152px;left: calc(50% + 320px - 134px + -912px);}#rec681472457 .tn-elem[data-elem-id="1701526071318"] .tn-atom { font-size: 10px; }}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701526071318"] {top: 208px;left: calc(50% + 240px - 134px + -852px);}#rec681472457 .tn-elem[data-elem-id="1701526071318"] .tn-atom { font-size: 8px; }}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701526071318"] {top: 246px;left: calc(50% + 160px - 134px + -1146px);height: 13px;}#rec681472457 .tn-elem[data-elem-id="1701526071318"] .tn-atom { font-size: 10px; }} #rec681472457 .tn-elem[data-elem-id="1701526071323"] { color: #000000; text-align: right; z-index: 7; top: -55px;left: calc(50% + 600px - 145px + -80px);width: 145px;height:25px;}#rec681472457 .tn-elem[data-elem-id="1701526071323"] .tn-atom { color: #000000; font-size: 16px; font-family: 'OrchideaPro',Arial,sans-serif; line-height: 1.55; font-weight: 600; border-radius: 30px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701526071323"] {top: -113px;left: calc(50% + 480px - 145px + -135px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701526071323"] {top: 160px;left: calc(50% + 320px - 145px + -912px);width: 176px;}#rec681472457 .tn-elem[data-elem-id="1701526071323"] .tn-atom { font-size: 18px; }}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701526071323"] {top: 218px;left: calc(50% + 240px - 145px + -850px);height: 28px;}#rec681472457 .tn-elem[data-elem-id="1701526071323"] .tn-atom { font-size: 17px; }}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701526071323"] {top: 252px;left: calc(50% + 160px - 145px + -1145px);width: 154px;height: 30px;}#rec681472457 .tn-elem[data-elem-id="1701526071323"] .tn-atom { font-size: 17px; }} #rec681472457 .tn-elem[data-elem-id="1701526071326"] { z-index: 8; top: -34px;left: calc(50% - 600px + 1063px);width: 56px;height:16px;}#rec681472457 .tn-elem[data-elem-id="1701526071326"] .tn-atom {border-radius: 30px; background-color: #78777a; background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701526071326"] {top: -85px;left: calc(50% - 480px + 775px);width: 52px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701526071326"] {top: 191px;left: calc(50% - 320px + -349px);width: 77px;}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701526071326"] {top: 243px;left: calc(50% - 240px + -438px);width: 68px;height: 14px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701526071326"] {top: 277px;left: calc(50% - 160px + -893px);}} #rec681472457 .tn-elem[data-elem-id="1701526071334"] { z-index: 9; top: 41px;left: calc(50% - 600px + 1072px);width: 6px;height:6px;}#rec681472457 .tn-elem[data-elem-id="1701526071334"] .tn-atom {border-radius: 3000px; background-color: #ffffff; background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701526071334"] {top: 50px;left: calc(50% - 480px + 780px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701526071334"] {top: 196px;left: calc(50% - 320px + -338px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701526071334"] {top: 246px;left: calc(50% - 240px + -431px);width: 7px;height: 7px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701526071334"] {top: 281px;left: calc(50% - 160px + -885px);}} #rec681472457 .tn-elem[data-elem-id="1701526071337"] { color: #ffffff; text-align: right; z-index: 10; top: -34px;left: calc(50% + 600px - 31px + -89px);width: 31px;height:17px;}#rec681472457 .tn-elem[data-elem-id="1701526071337"] .tn-atom { color: #ffffff; font-size: 9px; font-family: 'OrchideaPro',Arial,sans-serif; line-height: 1.55; font-weight: 600; border-radius: 30px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1701526071337"] .tn-atom:hover {}#rec681472457 .tn-elem[data-elem-id="1701526071337"] .tn-atom:hover {color: #ffffff;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701526071337"] {top: -85px;left: calc(50% + 480px - 31px + -140px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701526071337"] {top: 191px;left: calc(50% + 320px - 31px + -928px);}#rec681472457 .tn-elem[data-elem-id="1701526071337"] .tn-atom { font-size: 10px; }}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701526071337"] {top: 243px;left: calc(50% + 240px - 31px + -867px);height: 16px;}#rec681472457 .tn-elem[data-elem-id="1701526071337"] {text-align: center;}#rec681472457 .tn-elem[data-elem-id="1701526071337"] .tn-atom { font-size: 8px; }}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701526071337"] {top: 276px;left: calc(50% + 160px - 31px + -1157px);}} #rec681472457 .tn-elem[data-elem-id="1701595317391"] { z-index: 11; top: 19px;left: calc(50% - 600px + 1095px);width: 22px;}#rec681472457 .tn-elem[data-elem-id="1701595317391"] .tn-atom { background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701595317391"] {top: 28px;left: calc(50% - 480px + 866px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701595317391"] {top: 21px;left: calc(50% - 320px + 492px);width: 28px;}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701595317391"] {top: 21px;left: calc(50% - 240px + 372px);width: 18px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701595317391"] {top: 25px;left: calc(50% - 160px + 226px);width: 21px;}} #rec681472457 .tn-elem[data-elem-id="1701599183340"] { color: #00a7f6; text-align: center; z-index: 12; top: 8px;left: calc(50% - 600px + 215px);width: 30px;height:12px;}@media (min-width: 1200px) {#rec681472457 .tn-elem.t396__elem--anim-hidden[data-elem-id="1701599183340"] {opacity: 0;}}#rec681472457 .tn-elem[data-elem-id="1701599183340"] .tn-atom { color: #00a7f6; font-size: 8px; font-family: 'OrchideaPro',Arial,sans-serif; line-height: 1.55; font-weight: 600; border-width: 0px; border-radius: 7px; background-color: #d4f1f6; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701599183340"] {top: 17px;left: calc(50% - 480px + 179px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701599183340"] {top: 106px;left: calc(50% - 320px + -609px);}#rec681472457 .tn-elem[data-elem-id="1701599183340"] .tn-atom { font-size: 8px; }}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701599183340"] {top: -109px;left: calc(50% - 240px + -566px);}#rec681472457 .tn-elem[data-elem-id="1701599183340"] .tn-atom { opacity: 0; }}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701599183340"] {top: -313px;left: calc(50% - 160px + -1535px);}} #rec681472457 .tn-elem[data-elem-id="1701978178642"] { z-index: 13; top: 58px;left: calc(50% - 600px + 0px);width: 100%;height:1px;}#rec681472457 .tn-elem[data-elem-id="1701978178642"] .tn-atom { background-color: #f4f4f4; background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1701978178642"] {top: 68px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1701978178642"] {top: 68px;}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1701978178642"] {top: 58px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1701978178642"] {top: 67px;}} #rec681472457 .tn-elem[data-elem-id="1702577709098"] { z-index: 14; top: 8px;left: calc(50% - 600px + 40px);width: 110px;}#rec681472457 .tn-elem[data-elem-id="1702577709098"] .tn-atom { background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1702577709098"] {top: 12px;left: calc(50% - 480px + 16px);width: 120px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1702577709098"] {left: calc(50% - 320px + 40px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1702577709098"] {top: 11px;left: calc(50% - 240px + 33px);width: 100px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1702577709098"] {top: 14px;left: calc(50% - 160px + 17px);width: 110px;}} #rec681472457 .tn-elem[data-elem-id="1702577831751"] { color: #000000; text-align: center; z-index: 15; top: 18px;left: calc(50% - 600px + 554px);width: 58px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1702577831751"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1702577831751"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1702577831751"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1702577831751"] {top: 25px;left: calc(50% - 480px + 510px);width: 59px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1702577831751"] {top: 169px;left: calc(50% - 320px + -341px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1702577831751"] {top: 117px;left: calc(50% - 240px + -1117px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1702577831751"] {top: 188px;left: calc(50% - 160px + -678px);}} #rec681472457 .tn-elem[data-elem-id="1702578021421"] { color: #000000; text-align: center; z-index: 16; top: 18px;left: calc(50% - 600px + 622px);width: 102px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1702578021421"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1702578021421"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1702578021421"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1702578021421"] {top: 25px;left: calc(50% - 480px + 579px);width: 104px;height: 33px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1702578021421"] {top: 179px;left: calc(50% - 320px + -331px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1702578021421"] {top: 127px;left: calc(50% - 240px + -1107px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1702578021421"] {top: 198px;left: calc(50% - 160px + -668px);}} #rec681472457 .tn-elem[data-elem-id="1703350974188"] { color: #000000; text-align: center; z-index: 17; top: 18px;left: calc(50% - 600px + 734px);width: 61px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1703350974188"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1703350974188"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1703350974188"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1703350974188"] {top: 25px;left: calc(50% - 480px + 693px);width: 57px;height: 32px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1703350974188"] {top: 189px;left: calc(50% - 320px + -321px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1703350974188"] {top: 137px;left: calc(50% - 240px + -1097px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1703350974188"] {top: 208px;left: calc(50% - 160px + -658px);}} #rec681472457 .tn-elem[data-elem-id="1703351147086"] { color: #000000; text-align: center; z-index: 18; top: 18px;left: calc(50% - 600px + 805px);width: 61px;height:32px;}#rec681472457 .tn-elem[data-elem-id="1703351147086"] .tn-atom { color: #000000; font-size: 12px; font-family: 'Ubuntu',Arial,sans-serif; line-height: 1.55; font-weight: 300; border-radius: 7px; background-position: center center;border-color: transparent ;border-style: solid ; transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out, border-color 0.2s ease-in-out; }@media (hover), (min-width:0\0) {#rec681472457 .tn-elem[data-elem-id="1703351147086"] .tn-atom:hover {background-color: #f6f4f2;background-image: none;}#rec681472457 .tn-elem[data-elem-id="1703351147086"] .tn-atom:hover {color: #08221f;}}@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1703351147086"] {top: 25px;left: calc(50% - 480px + 760px);width: 44px;height: 32px;}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1703351147086"] {top: 199px;left: calc(50% - 320px + -311px);}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1703351147086"] {top: 147px;left: calc(50% - 240px + -1087px);}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1703351147086"] {top: 218px;left: calc(50% - 160px + -648px);}} #rec681472457 .tn-elem[data-elem-id="1703539406002"] { z-index: 19; top: 19px;left: calc(50% - 600px + 1055px);width: 21px;}#rec681472457 .tn-elem[data-elem-id="1703539406002"] .tn-atom { background-position: center center;border-color: transparent ;border-style: solid ; }@media screen and (max-width: 1199px) {#rec681472457 .tn-elem[data-elem-id="1703539406002"] {top: 26px;left: calc(50% - 480px + 829px);}}@media screen and (max-width: 959px) {#rec681472457 .tn-elem[data-elem-id="1703539406002"] {top: 21px;left: calc(50% - 320px + 442px);width: 28px;}}@media screen and (max-width: 639px) {#rec681472457 .tn-elem[data-elem-id="1703539406002"] {top: 21px;left: calc(50% - 240px + 327px);width: 21px;}}@media screen and (max-width: 479px) {#rec681472457 .tn-elem[data-elem-id="1703539406002"] {top: 25px;left: calc(50% - 160px + 193px);width: 21px;}}</style>

            <style>
               .mega-box .content .community-heading a,
.nav-links li a {
    color: #000000!important;
    text-decoration: none;
    font-size: 15px;
    font-family: 'Ubuntu',Arial,sans-serif;
    font-weight: 300!important;
    border-radius: 5px;
    transition: 0.3s;
}
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}
* {
    scrollbar-width: inherit;
    scrollbar-color: inherit;
}
blockquote,
q {
    quotes: none;
}
blockquote:after,
blockquote:before,
q:after,
q:before {
    content: "";
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}
h2 {
    font-weight: 700;
    font-size: 46px;
    line-height: 79px;
    color: #35425a;
}
p {
    font-weight: 400;
    font-size: 18px;
    line-height: 1.6;
    color: #000;
}
.header-area {
    padding: 10px;
}
.advanced-select-field,
.input-with-icon,
nav {
    position: relative;
    width: 100%;
}
.mega-box,
.nav-links .drop-menu {
    position: absolute;
    opacity: 0;
    visibility: hidden;
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}
nav .wrapper {
    position: relative;
    max-width: 1400px;
/*    padding: 0 30px;*/
    height: 70px;
    margin: 0px 38px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.wrapper .logo a {
    color: #f2f2f2;
    font-size: 30px;
    font-weight: 600;
    text-decoration: none;
}
.wrapper .nav-links {
    display: inline-flex;
    margin-left: 60px;
}
.nav-links li a {
    font-weight: 500;
    padding: 40px 15px;
}

.nav-links li a:hover {
/*    background-color:#f6f4f2!important;*/
    border-radius: 8px;
}
.mega-box .content .community-heading a {
    font-weight: 500;
    padding: 0 !important;
}
.desktop-item li a:hover {
    background: #00a7f6;
    border-radius: 2px;
    color: #fff;
}
.nav-links .mobile-item,
nav input {
    display: none;
}
.nav-links .drop-menu {
    background: #242526;
    width: 180px;
    line-height: 45px;
    top: 85px;
}
.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box {
    transition: 0.3s;
    opacity: 1;
    visibility: visible;
}
.drop-menu li a {
    width: 100%;
    display: block;
    padding: 0 0 0 15px;
    font-weight: 400;
    border-radius: 0;
}
.mega-box {
    left: 0;
    width: 80%;
    padding: 25px 20px;
    background-color: #fff;
    top: 70px;
    z-index: 300;
}
.mega-box .content {
    width: 20%;
    position: relative;
}
.mega-box .footer-property {
    font-size: 15px;
    font-weight: 500;
    line-height: 55px;
    height: 35px;
}
.content-description p a,
.fetures-single-item.fetures-single-item-cmt .fetures-content h3,
.mega-box .footer-property i,
.navbar-light .navbar-nav .nav-link:focus,
.navbar-light .navbar-nav .nav-link:hover {
    color: #00a7f6;
}
.mega-box .content .row1 {
    width: 100%;
    line-height: normal;
}
.content img {
    width: 100%;
    height: 100px;
    object-fit: cover;
}
.content .price-tag {
    position: absolute;
    line-height: normal;
    margin-top: -8px;
    font-size: 13px;
    color: #fff;
    background: #00a7f6;
    padding: 3px 8px;
    font-weight: 500;
}
.content .heading {
    line-height: normal;
    text-align: center;
    margin-top: 10px;
    padding: 0;
}
.content .heading a,
.readmore-button.readmore-button-cmt {
    padding: 0;
}
.accordion-body,
.row1 a {
    padding: 0 !important;
}
.content .heading h4 {
    font-size: 15px;
    font-weight: 500;
}
.content .community-heading {
    font-size: 14px;
    font-weight: 500;
    color: #00a7f6;
    text-align: center;
    margin-top: 10px;
}
.content .developer-heading {
    font-size: 13px;
    font-weight: 400;
    color: #35425a;
    text-align: center;
    height: 36px;
    line-height: 18px;
}
.content .row1 header {
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
}
.content .row1 .mega-links {
    margin-left: -40px;
    border-left: 1px solid rgba(255, 255, 255, 0.09);
}
.row1 .mega-links li {
    padding: 0 20px;
}
.row1 .mega-links li a {
    padding: 0 20px;
    color: #d9d9d9;
    font-size: 17px;
    display: block;
}
.row1 .mega-links li a:hover {
    color: #f2f2f2;
}
.wrapper .btn {
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    display: none;
}
.wrapper .btn.close-btn {
    position: absolute;
    right: 30px;
    top: 10px;
}
.hr-line hr {
    /*border-top:1px solid silver;*/
    margin-top: 10px !important;
}

#rec681472457 .tn-elem[data-elem-id="1703539406002"] {
    z-index: 19;
    top: 19px;
    left: calc(60% - 600px + 1055px);
    width: 21px;
}

#rec681472457 .tn-elem[data-elem-id="1701595317391"] {
    z-index: 11;
    top: 19px;
    left: calc(61% - 600px + 1095px);
    width: 22px;
}



@media screen and (max-width: 970px) {
    #close-btn:checked ~ .btn.menu-btn,
    .wrapper .btn {
        display: block;
    }
    .wrapper .nav-links {
        position: fixed;
        height: 100vh;
        width: 100%;
        max-width: 300px;
        top: 0;
        left: -105%;
        background: #242526;
        display: block;
        padding: 50px 10px;
        line-height: 50px;
        overflow-y: auto;
        box-shadow: 0 15px 15px rgba(0, 0, 0, 0.18);
        transition: 0.3s;
    }
    .mega-box,
    .nav-links .drop-menu {
        position: static;
        top: 65px;
        opacity: 1;
        visibility: visible;
        max-height: 0;
        overflow: hidden;
        transition: 0.3s;
    }
    ::-webkit-scrollbar {
        width: 10px;
    }
    ::-webkit-scrollbar-track {
        background: #242526;
    }
    ::-webkit-scrollbar-thumb {
        background: #3a3b3c;
    }
    #menu-btn:checked ~ .nav-links {
        left: 0;
    }
    #menu-btn:checked ~ .btn.menu-btn,
    .nav-links .desktop-item {
        display: none;
    }
    .nav-links li {
        margin: 15px 10px;
    }
    .nav-links li a {
        padding: 0 20px;
        display: block;
        font-size: 20px;
    }
    .nav-links .drop-menu {
        padding-left: 20px;
        width: 100%;
        box-shadow: none;
    }
    #showDrop:checked ~ .drop-menu,
    #showMega:checked ~ .mega-box {
        max-height: 100%;
    }
    .nav-links .mobile-item {
        display: block;
        color: #f2f2f2;
        font-size: 20px;
        font-weight: 500;
        padding-left: 20px;
        cursor: pointer;
        border-radius: 5px;
        transition: 0.3s;
    }
    .nav-links .mobile-item:hover {
        background: #3a3b3c;
    }
    .drop-menu li,
    .row1 .mega-links li {
        margin: 0;
    }
    .drop-menu li a {
        border-radius: 5px;
        font-size: 18px;
    }
    .mega-box {
        padding: 0 20px;
    }
    .mega-box .content {
        box-shadow: none;
        flex-direction: column;
        padding: 20px 20px 0;
    }
    .mega-box .content .row1 {
        width: 100%;
        margin-bottom: 15px;
        border-top: 1px solid rgba(255, 255, 255, 0.08);
    }
    .mega-box .content .row1:first-child,
    .mega-box .content .row1:nth-child(2) {
        border-top: 0;
    }
    .content .row1 .mega-links {
        border-left: 0;
        padding-left: 15px;
    }
    .content .row1 header {
        font-size: 19px;
    }
}

@media screen and (max-width: 520px) {

   #rec681472457 .tn-elem[data-elem-id="1703539406002"] {
    z-index: 19;
    top: 19px;
    left: calc(56% - 60px + 105px);
    width: 21px;
}

#rec681472457 .tn-elem[data-elem-id="1701595317391"] {
    z-index: 11;
    top: 19px;
    left: calc(66% - 60px + 109px);
    width: 22px;
}

}
            </style>
            



<div class="header-area" style="border-bottom: 1px solid #f4f4f4">
 <nav id="desktop-menu">
    <div class="wrapper">
    <a href="<?= base_url()?>">
  <img src="https://static.tildacdn.one/tild3735-3761-4539-a361-343336633361/uae-offplan-Logo-1-1.svg
" class="logo" alt="UAE-Offplan" width="140">
</a>

      <!-- <div class="logo"><a href="#">CodingNepal</a></div> -->
      <!-- <input type="radio" name="slider" id="menu-btn">
      <input type="radio" name="slider" id="close-btn"> -->
      <ul class="nav-links">
        <label for="close-btn" class="btn close-btn"><i class="fas fa-times"></i></label>
        <li>
          <a href="<?=base_url('projects')?>" class="desktop-item">Properties</a>

          <div class="mega-box">
          <div class="row">
            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($new_all_properties_prices->min_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects')?>">
                <img src="<?= base_url('assets/images/property_type/all-properties.jpg')?>" alt="all-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects')?>">
                <h4>All Properties</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($new_apartments_prices->min_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('dubai/apartments')?>">
                <img src="<?= base_url('assets/images/property_type/apartments.jpg')?>" alt="apartments">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('dubai/apartments')?>">
                  <h4>Apartments</h4></a>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                
                FROM AED <?=number_format($new_townhouses_prices->min_price)?>
 
              </div>
              <div class="row1">
                <a href="<?=base_url('dubai/townhouses')?>">
                <img src="<?= base_url('assets/images/property_type/townhouses.jpg')?>" alt="townhouses">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('dubai/townhouses')?>">
                <h4>Townhouses</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($new_villas_prices->min_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('dubai/villas')?>">
                <img src="<?= base_url('assets/images/property_type/villas.jpg')?>" alt="villas">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('dubai/villas')?>">
                <h4>Villas</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                
                FROM AED <?=number_format($new_penthouses_prices->min_price)?>
              
              </div>
              <div class="row1">
                <a href="<?=base_url('dubai/penthouses')?>">
                <img src="<?= base_url('assets/images/property_type/penthouses.jpg')?>" alt="penthouses">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('dubai/penthouses')?>">
                <h4>Penthouses</h4>
              </a>
              </div>
            </div>

            
            </div>

            <div class="row">
              
              <div class="hr-line">
              <hr>
              </div>

            </div>

            <div class="d-flex justify-content-around">
              <div class="footer-property">
                <a href="<?=base_url('projects/minPrice/1000000')?>">
                <i class="fas fa-arrow-alt-circle-down"></i>
                Properties Below AED 1,000,000
                </a>
              </div>
              <div class="footer-property">
                <a href="<?=base_url('projects/maxPrice/1000000')?>">
                <i class="fas fa-arrow-alt-circle-up"></i>
                Properties Above AED 1,000,000
              </a>
              </div>
              <div class="footer-property">
                <a href="<?=base_url('projects')?>">
                <i class="fas fa-fire"></i>
                The Latest Off-Plan Projects
              </a>
              </div>
              
            </div>



          </div>
        </li>

        <li>
          <a href="<?=base_url('projects')?>" class="desktop-item">New Projects</a>
          
          <div class="mega-box">
            <div class="row">
            <?php foreach($new_projects as $projects):?>
            <div class="content">
              <div class="price-tag">
                FROM AED <?= number_format($projects->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('property/'.$projects->slug)?>">
                <img src="<?= $url.$projects->cover_image?>" alt="<?=$projects->slug?>">
              </a>
              </div>
              <div class="community-heading">
                <a href="<?=base_url('property/'.$projects->slug)?>">
                <i class="fas fa-map-marker-alt" aria-hidden="true"></i>
                <?= $projects->community_name?>
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property/'.$projects->slug)?>">
                <h4><?=$projects->property_name?></h4>
              </a>
              </div>
              <div class="developer-heading">
                by <?=$projects->developer_name?>
              </div>
            </div>
          <?php endforeach; ?>
          </div>
          </div>
        </li>

        <li>
          <a href="<?=base_url('list-of-property-developers')?>" class="desktop-item">Developers</a>
          
          <div class="mega-box">
            <div class="row">
            <div class="content">
              <div class="row1">
                <a href="<?=base_url('list-of-property-developers')?>">
                <img src="<?=base_url('assets/images/all-developers.jpg')?>" alt="all-developers">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('list-of-property-developers')?>">
                <h4>All Developers</h4>
              </a>
              </div>
            </div>
            <?php foreach($developers_menu as $developer):?>
            <div class="content">
              <div class="row1">
                <a href="<?=base_url('developer/'.$developer->slug)?>">
                <img src="<?= $url.$developer->developer_logo?>" alt="<?=$developer->slug?>">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('developer/'.$developer->slug)?>">
                <h4><?=$developer->developer_name?></h4>
              </a>
              </div>
            </div>
          <?php endforeach; ?>
          </div>
          </div>
        </li>

        <li>
          <a href="<?=base_url('development')?>" class="desktop-item">Areas</a>
        
          <div class="mega-box">
            <div class="row">
              <div class="content">
              <div class="row1">
                <a href="<?=base_url('development')?>">
                <img src="<?=base_url('assets/images/all-areas.jpg')?>" alt="all-areas">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('development')?>">
                <h4>All Areas</h4>
              </a>
              </div>
            </div>
            <?php foreach($areas_menu as $area):?>
            <div class="content">
              <div class="row1">
                <a href="<?=base_url('development/'.$area->slug)?>">
                <img src="<?= $url.$area->cover_image?>" alt="<?=$area->slug?>">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('development/'.$area->slug)?>">
                <h4><?=$area->community_name?></h4>
              </a>
              </div>
            </div>
          <?php endforeach; ?>
          </div>
          </div>
        </li>

        <li>
          <a href="<?=base_url('projects') ?>" class="desktop-item">Luxury</a>
          <div class="mega-box">
          <div class="row">
            

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($waterfront_price[0]->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects/waterfront-properties') ?>">
                <img src="<?= base_url('assets/images/property_type/apartments.jpg')?>" alt="waterfront-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects/waterfront-properties') ?>">
                <h4>Waterfront Properties</h4>
                </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($beachfront_price[0]->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects/beachfront-properties') ?>">
                <img src="<?= base_url('assets/images/property_type/townhouses.jpg')?>" alt="beachfront-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects/beachfront-properties') ?>">
                <h4>Beachfront Properties</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($ultraluxury_price[0]->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects/ultra-luxury-properties') ?>">
                <img src="<?= base_url('assets/images/property_type/townhouses.jpg')?>" alt="ultra-luxury-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects/ultra-luxury-properties') ?>">
                <h4>Ultra Luxury Living</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($golfcourse_price[0]->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects/golf-course-properties') ?>">
                <img src="<?= base_url('assets/images/property_type/villas.jpg')?>" alt="golf-course-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects/golf-course-properties') ?>">
                <h4>Near Golf Course</h4>
              </a>
              </div>
            </div>

            <div class="content">
              <div class="price-tag">
                FROM AED <?=number_format($branded_price[0]->starting_price)?>
              </div>
              <div class="row1">
                <a href="<?=base_url('projects/branded') ?>">
                <img src="<?= base_url('assets/images/property_type/villas.jpg')?>" alt="branded-properties">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('projects/branded') ?>">
                <h4>Branded Residences</h4>
              </a>
              </div>
            </div>
            </div>

        
          </div>
        </li>

        <li>
          <a href="<?=base_url('property-status') ?>" class="desktop-item">Property Status</a>
          <div class="mega-box">
          <div class="row">
            <div class="content">
              
              <div class="row1">
                <a href="<?=base_url('property-status') ?>">
                <img src="<?= base_url('assets/images/property_type/all-properties.jpg')?>" alt="property-status">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property-status') ?>">
                <h4>All Properties in Dubai</h4>
              </a>
              </div>
            </div>

            <div class="content">
              
              <div class="row1">
                <a href="<?=base_url('property-status/ready-to-move') ?>">
                <img src="<?= base_url('assets/images/property_type/apartments.jpg')?>" alt="ready-to-move">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property-status/ready-to-move') ?>">
                <h4>Ready to Move</h4>
              </a>
              </div>
            </div>

            <div class="content">
              
              <div class="row1">
                <a href="<?=base_url('property-status/2025') ?>">
                <img src="<?= base_url('assets/images/property_type/townhouses.jpg')?>" alt="2025">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property-status/2025') ?>">
                <h4>Handover 2025</h4>
              </a>
              </div>
            </div>

            <div class="content">
              
              <div class="row1">
                <a href="<?=base_url('property-status/2026') ?>">
                <img src="<?= base_url('assets/images/property_type/penthouses.jpg')?>" alt="2026">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property-status/2026') ?>">
                <h4>Handover 2026</h4>
              </a>
              </div>
            </div>

            <div class="content">
              
              <div class="row1">
                <a href="<?=base_url('property-status/2027') ?>">
                <img src="<?= base_url('assets/images/property_type/villas.jpg')?>" alt="2027">
              </a>
              </div>
              <div class="heading">
                <a href="<?=base_url('property-status/2027') ?>">
                <h4>Handover 2027</h4>
              </a>
              </div>
            </div>
            </div>

        
          </div>
        </li>
        <li><a href="<?=base_url('faq')?>">Videos</a></li>
        <li><a href="<?=base_url('faq')?>">Blog</a></li>
      </ul>
      
      <div class='t396__elem tn-elem tn-elem__6814724571703539406002 t-animate' data-elem-id='1703539406002' data-elem-type='image' data-field-top-value="19" data-field-left-value="1055" data-field-width-value="21" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="" data-field-widthunits-value="px" data-animate-style="fadeindown" data-animate-duration="0.2" data-animate-distance="100" data-animate-mobile="y" data-field-filewidth-value="42" data-field-fileheight-value="42" data-field-top-res-320-value="25" data-field-left-res-320-value="193" data-field-width-res-320-value="21" data-field-top-res-480-value="21" data-field-left-res-480-value="327" data-field-width-res-480-value="21" data-field-top-res-640-value="21" data-field-left-res-640-value="442" data-field-width-res-640-value="28" data-field-top-res-960-value="26" data-field-left-res-960-value="829" 
                     ><a class='tn-atom' href="<?=base_url()?>" ><img class='tn-atom__img t-img' data-original='https://static.tildacdn.one/tild3561-3065-4662-b535-303464393930/home-angle-2-svgrepo.svg' alt='' imgfield='tn_img_1703539406002' width="25" /></a></div>

                     <div class='whatsapp-icon t396__elem tn-elem tn-elem__6814724571701595317391' data-elem-id='1701595317391' data-elem-type='image' data-field-top-value="19" data-field-left-value="1095" data-field-width-value="22" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="" data-field-widthunits-value="px" data-field-filewidth-value="48" data-field-fileheight-value="48" data-field-top-res-320-value="25" data-field-left-res-320-value="226" data-field-width-res-320-value="21" data-field-top-res-480-value="21" data-field-left-res-480-value="372" data-field-width-res-480-value="18" data-field-top-res-640-value="21" data-field-left-res-640-value="492" data-field-width-res-640-value="28" data-field-top-res-960-value="28" data-field-left-res-960-value="866" 
                     ><a class='tn-atom' href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+Alana+at+the+Valley+by+Emaar.+Kindly+send+me+more+information.+Thank+you%21+https://offplan360.com/alana-valley&type=phone_number&app_absent=0" ><img class='tn-atom__img t-img' data-original='https://static.tildacdn.one/tild3964-3236-4036-a564-333230306530/whatsapp-color-svgre.svg' alt='' imgfield='tn_img_1701595317391' width="25" /></a></div>
  </nav>
</div>
            <!-- <div class='t396'>
               <div class="t396__artboard" data-artboard-recid="681472457" data-artboard-screens="320,480,640,960,1200" data-artboard-height="60" data-artboard-valign="center" data-artboard-upscale="window" data-artboard-height-res-320="70" data-artboard-height-res-480="60" data-artboard-height-res-960="70" 
                  >
                  <div class="t396__carrier" data-artboard-recid="681472457"></div>
                  <div class="t396__filter" data-artboard-recid="681472457"></div>


                  <div class='t396__elem tn-elem tn-elem__6814724571701525069272' data-elem-id='1701525069272' data-elem-type='button' data-field-top-value="18" data-field-left-value="206" data-field-height-value="32" data-field-width-value="75" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="178" data-field-left-res-320-value="-1033" data-field-top-res-480-value="107" data-field-left-res-480-value="-1472" data-field-top-res-640-value="159" data-field-left-res-640-value="-696" data-field-top-res-960-value="25" data-field-left-res-960-value="170" 
                     ><a class='tn-atom' href="https://offplan360.com/uae-offplan/projects" >Properties</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701525361427' data-elem-id='1701525361427' data-elem-type='button' data-field-top-value="18" data-field-left-value="291" data-field-height-value="32" data-field-width-value="93" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="178" data-field-left-res-320-value="-923" data-field-top-res-480-value="107" data-field-left-res-480-value="-1362" data-field-top-res-640-value="159" data-field-left-res-640-value="-586" data-field-top-res-960-value="25" data-field-left-res-960-value="255" 
                     ><a class='tn-atom' href="#rec678237978" >New Projects</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701525380559' data-elem-id='1701525380559' data-elem-type='button' data-field-top-value="18" data-field-left-value="394" data-field-height-value="32" data-field-width-value="87" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="178" data-field-left-res-320-value="-801" data-field-top-res-480-value="107" data-field-left-res-480-value="-1240" data-field-top-res-640-value="159" data-field-left-res-640-value="-464" data-field-top-res-960-value="25" data-field-left-res-960-value="358" data-field-width-res-960-value="81" 
                     ><a class='tn-atom' href="https://offplan360.com/uae-offplan/list-of-property-developers" >Developers</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701525402772' data-elem-id='1701525402772' data-elem-type='button' data-field-top-value="18" data-field-left-value="491" data-field-height-value="32" data-field-width-value="53" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="178" data-field-left-res-320-value="-688" data-field-top-res-480-value="107" data-field-left-res-480-value="-1127" data-field-top-res-640-value="159" data-field-left-res-640-value="-351" data-field-top-res-960-value="25" data-field-left-res-960-value="449" data-field-width-res-960-value="50" 
                     ><a class='tn-atom' href="https://offplan360.com/uae-offplan/development" >Areas</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701526071318 t-animate' data-elem-id='1701526071318' data-elem-type='button' data-field-top-value="-67" data-field-left-value="-80" data-field-height-value="20" data-field-width-value="134" data-field-axisy-value="top" data-field-axisx-value="right" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="2" data-animate-delay="0.1" data-animate-mobile="y" data-field-top-res-320-value="246" data-field-left-res-320-value="-1146" data-field-height-res-320-value="13" data-field-top-res-480-value="208" data-field-left-res-480-value="-852" data-field-top-res-640-value="152" data-field-left-res-640-value="-912" data-field-top-res-960-value="-120" data-field-left-res-960-value="-137" 
                     ><a class='tn-atom' href="https://api.whatsapp.com/send/?phone=971524474422&amp;text=Hi+There%2C+I%27m+interested+in+Alana+at+the+Valley+by+Emaar.+Kindly+send+me+more+information.+Thank+you%21+https://offplan360.com/alana-valley&amp;type=phone_number&amp;app_absent=0" >24 hours helpline:</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701526071323 t-animate' data-elem-id='1701526071323' data-elem-type='button' data-field-top-value="-55" data-field-left-value="-80" data-field-height-value="25" data-field-width-value="145" data-field-axisy-value="top" data-field-axisx-value="right" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="2" data-animate-delay="0.1" data-animate-mobile="y" data-field-top-res-320-value="252" data-field-left-res-320-value="-1145" data-field-height-res-320-value="30" data-field-width-res-320-value="154" data-field-top-res-480-value="218" data-field-left-res-480-value="-850" data-field-height-res-480-value="28" data-field-top-res-640-value="160" data-field-left-res-640-value="-912" data-field-width-res-640-value="176" data-field-top-res-960-value="-113" data-field-left-res-960-value="-135" 
                     ><a class='tn-atom' href="https://api.whatsapp.com/send/?phone=971524474422&amp;text=Hi+There%2C+I%27m+interested+in+Alana+at+the+Valley+by+Emaar.+Kindly+send+me+more+information.+Thank+you%21+https://offplan360.com/alana-valley&amp;type=phone_number&amp;app_absent=0" >+971 52 4474422</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701526071326 t-animate' data-elem-id='1701526071326' data-elem-type='shape' data-field-top-value="-34" data-field-left-value="1063" data-field-height-value="16" data-field-width-value="56" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="1" data-field-top-res-320-value="277" data-field-left-res-320-value="-893" data-field-top-res-480-value="243" data-field-left-res-480-value="-438" data-field-height-res-480-value="14" data-field-width-res-480-value="68" data-field-top-res-640-value="191" data-field-left-res-640-value="-349" data-field-width-res-640-value="77" data-field-top-res-960-value="-85" data-field-left-res-960-value="775" data-field-width-res-960-value="52" 
                     ><a class='tn-atom' href="https://api.whatsapp.com/send/?phone=971524474422&amp;text=Hi+There%2C+I%27m+interested+in+Alana+at+the+Valley+by+Emaar.+Kindly+send+me+more+information.+Thank+you%21+https://offplan360.com/alana-valley&amp;type=phone_number&amp;app_absent=0" ></a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701526071334 t-animate' data-elem-id='1701526071334' data-elem-type='shape' data-field-top-value="41" data-field-left-value="1072" data-field-height-value="6" data-field-width-value="6" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="1" data-field-top-res-320-value="281" data-field-left-res-320-value="-885" data-field-top-res-480-value="246" data-field-left-res-480-value="-431" data-field-height-res-480-value="7" data-field-width-res-480-value="7" data-field-top-res-640-value="196" data-field-left-res-640-value="-338" data-field-top-res-960-value="50" data-field-left-res-960-value="780" 
                     ><a class='tn-atom' href="#popup:callback" ></a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701526071337 t-animate' data-elem-id='1701526071337' data-elem-type='button' data-field-top-value="-34" data-field-left-value="-89" data-field-height-value="17" data-field-width-value="31" data-field-axisy-value="top" data-field-axisx-value="right" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="2" data-animate-delay="0.1" data-animate-mobile="y" data-field-top-res-320-value="276" data-field-left-res-320-value="-1157" data-field-top-res-480-value="243" data-field-left-res-480-value="-867" data-field-height-res-480-value="16" data-field-top-res-640-value="191" data-field-left-res-640-value="-928" data-field-top-res-960-value="-85" data-field-left-res-960-value="-140" 
                     ><a class='tn-atom' href="#popup:callback" >Online</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701595317391' data-elem-id='1701595317391' data-elem-type='image' data-field-top-value="19" data-field-left-value="1095" data-field-width-value="22" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="" data-field-widthunits-value="px" data-field-filewidth-value="48" data-field-fileheight-value="48" data-field-top-res-320-value="25" data-field-left-res-320-value="226" data-field-width-res-320-value="21" data-field-top-res-480-value="21" data-field-left-res-480-value="372" data-field-width-res-480-value="18" data-field-top-res-640-value="21" data-field-left-res-640-value="492" data-field-width-res-640-value="28" data-field-top-res-960-value="28" data-field-left-res-960-value="866" 
                     ><a class='tn-atom' href="https://api.whatsapp.com/send/?phone=971524474422&text=Hi+There%2C+I%27m+interested+in+Alana+at+the+Valley+by+Emaar.+Kindly+send+me+more+information.+Thank+you%21+https://offplan360.com/alana-valley&type=phone_number&app_absent=0" ><img class='tn-atom__img t-img' data-original='https://static.tildacdn.one/tild3964-3236-4036-a564-333230306530/whatsapp-color-svgre.svg' alt='' imgfield='tn_img_1701595317391' /></a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701599183340 ' data-elem-id='1701599183340' data-elem-type='button' data-field-top-value="8" data-field-left-value="215" data-field-height-value="12" data-field-width-value="30" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-animate-sbs-event="intoview" data-animate-sbs-trg="1" data-animate-sbs-trgofst="0" data-animate-sbs-loop="loop" data-animate-sbs-opts="[{'ti':0,'mx':0,'my':0,'sx':1,'sy':1,'op':1,'ro':0,'bl':'0','ea':'','dt':0},{'ti':300,'mx':0,'my':0,'sx':1,'sy':1,'op':1,'ro':0,'bl':'0','ea':'','dt':0},{'ti':300,'mx':0,'my':0,'sx':1,'sy':1,'op':0,'ro':0,'bl':'0','ea':'','dt':0},{'ti':300,'mx':0,'my':0,'sx':1,'sy':1,'op':1,'ro':0,'bl':'0','ea':'','dt':0}]" data-field-top-res-320-value="-313" data-field-left-res-320-value="-1535" data-field-top-res-480-value="-109" data-field-left-res-480-value="-566" data-field-top-res-640-value="106" data-field-left-res-640-value="-609" data-field-top-res-960-value="17" data-field-left-res-960-value="179" 
                     ><a class='tn-atom' href="#rec554742480" >NEW</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571701978178642' data-elem-id='1701978178642' data-elem-type='shape' data-field-top-value="58" data-field-left-value="0" data-field-height-value="1" data-field-width-value="100" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="%" data-field-top-res-320-value="67" data-field-top-res-480-value="58" data-field-top-res-640-value="68" data-field-top-res-960-value="68" 
                     >
                     <div class='tn-atom' ></div>
                  </div>
                  <div class='t396__elem tn-elem tn-elem__6814724571702577709098 t-animate' data-elem-id='1702577709098' data-elem-type='image' data-field-top-value="8" data-field-left-value="40" data-field-width-value="110" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="" data-field-widthunits-value="px" data-animate-style="fadein" data-animate-duration="1" data-field-filewidth-value="519" data-field-fileheight-value="201" data-field-top-res-320-value="14" data-field-left-res-320-value="17" data-field-width-res-320-value="110" data-field-top-res-480-value="11" data-field-left-res-480-value="33" data-field-width-res-480-value="100" data-field-left-res-640-value="40" data-field-top-res-960-value="12" data-field-left-res-960-value="16" data-field-width-res-960-value="120" 
                     ><a class='tn-atom' href="<?=base_url()?>" ><img class='tn-atom__img t-img' data-original='https://static.tildacdn.one/tild3735-3761-4539-a361-343336633361/uae-offplan-Logo-1-1.svg'  alt='' imgfield='tn_img_1702577709098' /></a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571702577831751' data-elem-id='1702577831751' data-elem-type='button' data-field-top-value="18" data-field-left-value="554" data-field-height-value="32" data-field-width-value="58" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="188" data-field-left-res-320-value="-678" data-field-top-res-480-value="117" data-field-left-res-480-value="-1117" data-field-top-res-640-value="169" data-field-left-res-640-value="-341" data-field-top-res-960-value="25" data-field-left-res-960-value="510" data-field-width-res-960-value="59" 
                     ><a class='tn-atom' href="#" >Luxury</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571702578021421' data-elem-id='1702578021421' data-elem-type='button' data-field-top-value="18" data-field-left-value="622" data-field-height-value="32" data-field-width-value="102" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="198" data-field-left-res-320-value="-668" data-field-top-res-480-value="127" data-field-left-res-480-value="-1107" data-field-top-res-640-value="179" data-field-left-res-640-value="-331" data-field-top-res-960-value="25" data-field-left-res-960-value="579" data-field-height-res-960-value="33" data-field-width-res-960-value="104" 
                     ><a class='tn-atom' href="#" >Property Status</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571703350974188' data-elem-id='1703350974188' data-elem-type='button' data-field-top-value="18" data-field-left-value="734" data-field-height-value="32" data-field-width-value="61" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="208" data-field-left-res-320-value="-658" data-field-top-res-480-value="137" data-field-left-res-480-value="-1097" data-field-top-res-640-value="189" data-field-left-res-640-value="-321" data-field-top-res-960-value="25" data-field-left-res-960-value="693" data-field-height-res-960-value="32" data-field-width-res-960-value="57" 
                     ><a class='tn-atom' href="#" >Videos</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571703351147086' data-elem-id='1703351147086' data-elem-type='button' data-field-top-value="18" data-field-left-value="805" data-field-height-value="32" data-field-width-value="61" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="px" data-field-widthunits-value="px" data-field-top-res-320-value="218" data-field-left-res-320-value="-648" data-field-top-res-480-value="147" data-field-left-res-480-value="-1087" data-field-top-res-640-value="199" data-field-left-res-640-value="-311" data-field-top-res-960-value="25" data-field-left-res-960-value="760" data-field-height-res-960-value="32" data-field-width-res-960-value="44" 
                     ><a class='tn-atom' href="#" >Blog</a></div>
                  <div class='t396__elem tn-elem tn-elem__6814724571703539406002 t-animate' data-elem-id='1703539406002' data-elem-type='image' data-field-top-value="19" data-field-left-value="1055" data-field-width-value="21" data-field-axisy-value="top" data-field-axisx-value="left" data-field-container-value="grid" data-field-topunits-value="px" data-field-leftunits-value="px" data-field-heightunits-value="" data-field-widthunits-value="px" data-animate-style="fadeindown" data-animate-duration="0.2" data-animate-distance="100" data-animate-mobile="y" data-field-filewidth-value="42" data-field-fileheight-value="42" data-field-top-res-320-value="25" data-field-left-res-320-value="193" data-field-width-res-320-value="21" data-field-top-res-480-value="21" data-field-left-res-480-value="327" data-field-width-res-480-value="21" data-field-top-res-640-value="21" data-field-left-res-640-value="442" data-field-width-res-640-value="28" data-field-top-res-960-value="26" data-field-left-res-960-value="829" 
                     ><a class='tn-atom' href="https://offplan360.com/uae-offplan/home" ><img class='tn-atom__img t-img' data-original='https://static.tildacdn.one/tild3561-3065-4662-b535-303464393930/home-angle-2-svgrepo.svg' alt='' imgfield='tn_img_1703539406002' /></a></div>
               </div>
            </div> -->
            <script>t_onFuncLoad('t396_initialScale', function () {
               t396_initialScale('681472457');
               });
               t_onReady(function () {
               t_onFuncLoad('t396_init', function () {
               t396_init('681472457');
               });
               });
            </script><!-- /T396 -->
         </div>